# Bm25

Welcome to your new gem! In this directory, you'll find the files you need to be able to package up your Ruby library into a gem. Put your Ruby code in the file `lib/bm25`. To experiment with that code, run `bin/console` for an interactive prompt.

## Installation
Step. 1
Add this line to your application's Gemfile:

```ruby
gem 'bm25'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install bm25

Step. 2 Install Mecab and setup mecab-ipadic-neologd  

mecab: http://taku910.github.io/mecab/  

mecab-ipadic-neologd: https://github.com/neologd/mecab-ipadic-neologd  

## Usage
```
require 'bm25'

paser = Bm25::Parser.new(['名詞'])
words = paser.execute("プログラマーだけど肩こりがひどいので懸垂バーを買って背中を鍛えることにした")
# words = [
#   ['プログラマー', 1.7142857142857146],
#   ['肩こり', 1.7142857142857146],
#   ['懸垂', 1.7142857142857146],
#   ['バー', 1.7142857142857146],
#   ['背中', 1.7142857142857146]
# ]
```


## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/[USERNAME]/bm25. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the Bm25 project’s codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://github.com/[USERNAME]/bm25/blob/master/CODE_OF_CONDUCT.md).
